GET/projects/api/v3/plans/{planId}.json
Get a single price plan by ID
Return a single price plan and its associated features.
Path Params
- Name
planId- Type
- integer
- required
- Description
Query Params
- Name
planIds- Type
- array[integer]
- Description
filter by priceplan ids
- Format
- Comma separated values
Responses
- Code
- 200
- Type
- object
- Schema
- Description
- 200 OK
PlansResponse contains all the information returned when sending a GET request to the plans endpoint.
- Code
- 400
- Type
- object
- Schema
- Description
- 400 Bad Request
ErrorResponse defines how []Error should be marshaled to JSON.
200 OK
PlansResponse
{
"meta": {
"averageSpend": 0,
"data": {},
"limit": 0,
"nextCursor": "string",
"page": {
"count": 0,
"hasMore": true,
"pageOffset": 0,
"pageSize": 0
},
"prevCursor": "string",
"totalCapacity": 0
},
"plans": [
{
"code": "string",
"features": [
{
"id": 0,
"key": "string",
"value": "string"
}
],
"id": 0,
"planName": "string",
"type": "string"
}
]
}